Aleksey Uymanov | 11 Oct 18:16 2013
Picon

MonadBaseControl IO instance for conduits ?

Hello Haskellers! 

Is it posible to create instance of MonadBaseControl IO (ConduitM i o m) ?

This would give a great posibility to catch exceptions just inside the
ConduitM monad with "lifted-base" package. And more, http-conduit's
`withManager` restricts base monad (which must be base for ConduitM)
with MonadBaseControl IO.

--

-- 
Aleksey Uymanov <s9gf4ult <at> gmail.com>
John Wiegley | 12 Oct 01:57 2013

Re: MonadBaseControl IO instance for conduits ?

>>>>> Aleksey Uymanov <s9gf4ult <at> gmail.com> writes:

> Is it posible to create instance of MonadBaseControl IO (ConduitM i o m) ?

No, it is not, for approximately the same reason that you cannot create one
for ContT (or any form of continuation).

--

-- 
John Wiegley
FP Complete                         Haskell tools, training and consulting
http://fpcomplete.com               johnw on #haskell/irc.freenode.net
Vlatko Basic | 14 Oct 11:44 2013
Picon

No upgrade of GHC version in Ubuntu repository

Hi Caffe,

deb packages of GHC (and Haskell Platform) in Ubuntu's (LTS Precise, 12.04) 
"universe" are not upgrading at all.
GHC package is almost two years old, still on version 7.4.1, and GHC site still 
recommends to use Haskell Platform from repository.

Even kernel is upgrading more often, and one would expect it is much more 
difficult. :-)

What would be the reason for that?
Is it abandoned?

Best regards,

vlatko
Lizanets Danylo | 14 Oct 12:40 2013
Picon

Re: No upgrade of GHC version in Ubuntu repository

Hi vlatko,

New versions of GHC are available in newer versions of Ubuntu (12.10, 13.04 etc.). I recommend you to download, build and install Haskell-platform from sources.

Best regards,

Danylo Lizanets 

--- Original message ---
From: "Vlatko Basic" <vlatko.basic <at> gmail.com>
Date: 14 October 2013, 11:44:17

Hi Caffe, deb packages of GHC (and Haskell Platform) in Ubuntu's (LTS Precise, 12.04) "universe" are not upgrading at all. GHC package is almost two years old, still on version 7.4.1, and GHC site still recommends to use Haskell Platform from repository. Even kernel is upgrading more often, and one would expect it is much more difficult. :-) What would be the reason for that? Is it abandoned? Best regards, vlatko _______________________________________________ Haskell-Cafe mailing list Haskell-Cafe <at> haskell.org http://www.haskell.org/mailman/listinfo/haskell-cafe
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Vlatko Basic | 14 Oct 13:28 2013
Picon

Re: No upgrade of GHC version in Ubuntu repository

Hi Danylo,

I have 7.6.3 already, but I was wondering why the repository packages are not maintained.
12.04 is an LTS for 5 years, so I suppose many would stick to it for a longer time.


br,
vlatko

-------- Original Message --------
Subject: Re: [Haskell-cafe] No upgrade of GHC version in Ubuntu repository
From: Lizanets Danylo <iamweasel <at> ukr.net>
To: vlatko.basic <at> gmail.com
Cc: haskell-cafe <at> haskell.org
Date: 14.10.2013 12:40


Hi vlatko,

New versions of GHC are available in newer versions of Ubuntu (12.10, 13.04 etc.). I recommend you to download, build and install Haskell-platform from sources.

Best regards,

Danylo Lizanets 

--- Original message ---
From: "Vlatko Basic" <vlatko.basic <at> gmail.com>
Date: 14 October 2013, 11:44:17

Hi Caffe, deb packages of GHC (and Haskell Platform) in Ubuntu's (LTS Precise, 12.04) "universe" are not upgrading at all. GHC package is almost two years old, still on version 7.4.1, and GHC site still recommends to use Haskell Platform from repository. Even kernel is upgrading more often, and one would expect it is much more difficult. :-) What would be the reason for that? Is it abandoned? Best regards, vlatko _______________________________________________ Haskell-Cafe mailing list Haskell-Cafe <at> haskell.org http://www.haskell.org/mailman/listinfo/haskell-cafe

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Lizanets Danylo | 14 Oct 14:38 2013
Picon

Re: No upgrade of GHC version in Ubuntu repository

  Because LTS must be stable. Although you can add some PPA with new versions of packages to your software sources list.

--- Original message ---
From: "Vlatko Basic" <vlatko.basic <at> gmail.com>
Date: 14 October 2013, 13:28:21

Hi Danylo,

I have 7.6.3 already, but I was wondering why the repository packages are not maintained.
12.04 is an LTS for 5 years, so I suppose many would stick to it for a longer time.


br,
vlatko

-------- Original Message --------
Subject: Re: [Haskell-cafe] No upgrade of GHC version in Ubuntu repository
From: Lizanets Danylo <iamweasel <at> ukr.net>
To: vlatko.basic <at> gmail.com
Cc: haskell-cafe <at> haskell.org
Date: 14.10.2013 12:40


Hi vlatko,

New versions of GHC are available in newer versions of Ubuntu (12.10, 13.04 etc.). I recommend you to download, build and install Haskell-platform from sources.

Best regards,

Danylo Lizanets 

--- Original message ---
From: "Vlatko Basic" <vlatko.basic <at> gmail.com>
Date: 14 October 2013, 11:44:17

Hi Caffe, deb packages of GHC (and Haskell Platform) in Ubuntu's (LTS Precise, 12.04) "universe" are not upgrading at all. GHC package is almost two years old, still on version 7.4.1, and GHC site still recommends to use Haskell Platform from repository. Even kernel is upgrading more often, and one would expect it is much more difficult. :-) What would be the reason for that? Is it abandoned? Best regards, vlatko _______________________________________________ Haskell-Cafe mailing list Haskell-Cafe <at> haskell.org http://www.haskell.org/mailman/listinfo/haskell-cafe

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Vlatko Basic | 14 Oct 15:34 2013
Picon

Re: No upgrade of GHC version in Ubuntu repository

Looks like we're missing the point here. I did add the PPAs, and all is OK for me. :-)

LTS is a stable release, and yet many other apps get updated regulary, but GHC does not. GHC is not part of the system itself, it's just an app, like many others are. So I expected it to be updated regularly, as other do.

This way it looks like it is abandoned...



-------- Original Message --------
Subject: Re: [Haskell-cafe] No upgrade of GHC version in Ubuntu repository
From: Lizanets Danylo <iamweasel <at> ukr.net>
To: vlatko.basic <at> gmail.com
Cc: haskell-cafe <at> haskell.org
Date: 14.10.2013 14:38


  Because LTS must be stable. Although you can add some PPA with new versions of packages to your software sources list.

--- Original message ---
From: "Vlatko Basic" <vlatko.basic <at> gmail.com>
Date: 14 October 2013, 13:28:21

Hi Danylo,

I have 7.6.3 already, but I was wondering why the repository packages are not maintained.
12.04 is an LTS for 5 years, so I suppose many would stick to it for a longer time.


br,
vlatko

-------- Original Message --------
Subject: Re: [Haskell-cafe] No upgrade of GHC version in Ubuntu repository
From: Lizanets Danylo <iamweasel <at> ukr.net>
To: vlatko.basic <at> gmail.com
Cc: haskell-cafe <at> haskell.org
Date: 14.10.2013 12:40


Hi vlatko,

New versions of GHC are available in newer versions of Ubuntu (12.10, 13.04 etc.). I recommend you to download, build and install Haskell-platform from sources.

Best regards,

Danylo Lizanets 

--- Original message ---
From: "Vlatko Basic" <vlatko.basic <at> gmail.com>
Date: 14 October 2013, 11:44:17

Hi Caffe, deb packages of GHC (and Haskell Platform) in Ubuntu's (LTS Precise, 12.04) "universe" are not upgrading at all. GHC package is almost two years old, still on version 7.4.1, and GHC site still recommends to use Haskell Platform from repository. Even kernel is upgrading more often, and one would expect it is much more difficult. :-) What would be the reason for that? Is it abandoned? Best regards, vlatko _______________________________________________ Haskell-Cafe mailing list Haskell-Cafe <at> haskell.org http://www.haskell.org/mailman/listinfo/haskell-cafe


_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Joachim Breitner | 14 Oct 17:02 2013
Picon

Re: No upgrade of GHC version in Ubuntu repository

Hi,

Am Montag, den 14.10.2013, 15:34 +0200 schrieb Vlatko Basic:
> Looks like we're missing the point here. I did add the PPAs, and all
> is OK for me. :-)
> 
> LTS is a stable release, and yet many other apps get updated regulary,
> but GHC does not. GHC is not part of the system itself, it's just an
> app, like many others are. So I expected it to be updated regularly,
> as other do.
> 
> This way it looks like it is abandoned...

the problem is that if you update GHC, you’ll have to update lots of
other packages, and rebuild all Haskell libraries. It’s difficult enough
to target one release; supporting several would be a considerable amount
of work to the maintainers.

OTOH, it is not clear if they know that there is demand for it, and I
don’t know Ubuntu’s release upgrade policies (Debian, for example, would
not allow such an upgrade in a stable release), but maybe you should ask
the maintainers of Haskell in Ubuntu? See
https://wiki.ubuntu.com/MOTU/Teams/UncommonProgrammingLanguages/Haskell
for a possibly up-to-date list of them.

Greetings,
Joachim

--

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata <at> debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata <at> joachim-breitner.de | http://people.debian.org/~nomeata

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Simon Hengel | 14 Oct 15:33 2013
Picon

Re: No upgrade of GHC version in Ubuntu repository

Hi,

On Mon, Oct 14, 2013 at 01:28:17PM +0200, Vlatko Basic wrote:
> I have 7.6.3 already, but I was wondering why the repository packages are not
> maintained.
> 12.04 is an LTS for 5 years, so I suppose many would stick to it for a longer
> time.

I added PPAs for GHC 7.6.3 recently.  Feel free to use:

    sudo apt-get --purge remove ghc
    sudo apt-get --purge remove cabal-install
    sudo apt-add-repository ppa:typeful/ghc-7.6.3
    sudo apt-add-repository ppa:typeful/cabal-install
    sudo apt-get update
    sudo apt-get install ghc cabal-install

This assumes that you only want to install GHC and cabal-install with
apt and everything else from Hackage.

Cheers,
Simon
Vlatko Basic | 14 Oct 15:56 2013
Picon

Re: No upgrade of GHC version in Ubuntu repository

Hi Simon,

Thanks for that.
I already have it on the list, and this one:
  ppa:fmarier/git-annex
with many packages already precompiled.
(if someone doesn't want cabal)

br,

vlatko

-------- Original Message  --------
Subject: Re: [Haskell-cafe] No upgrade of GHC version in Ubuntu repository
From: Simon Hengel <sol <at> typeful.net>
To: Vlatko Basic <vlatko.basic <at> gmail.com>
Cc: Lizanets Danylo <iamweasel <at> ukr.net>, haskell-cafe <at> haskell.org
Date: 14.10.2013 15:33

> Hi,
>
> On Mon, Oct 14, 2013 at 01:28:17PM +0200, Vlatko Basic wrote:
>> I have 7.6.3 already, but I was wondering why the repository packages are not
>> maintained.
>> 12.04 is an LTS for 5 years, so I suppose many would stick to it for a longer
>> time.
>
> I added PPAs for GHC 7.6.3 recently.  Feel free to use:
>
>      sudo apt-get --purge remove ghc
>      sudo apt-get --purge remove cabal-install
>      sudo apt-add-repository ppa:typeful/ghc-7.6.3
>      sudo apt-add-repository ppa:typeful/cabal-install
>      sudo apt-get update
>      sudo apt-get install ghc cabal-install
>
> This assumes that you only want to install GHC and cabal-install with
> apt and everything else from Hackage.
>
> Cheers,
> Simon
>

Gmane